jSIGPAC no funciona con Java 7

Discusiones que versan específicamente sobre programas para GPS, como OziExplorer, CompeGPS, Fugawi, Trackmaker y otros.
Responder
Avatar de Usuario
JOSE LUIS RODRIGUEZ
Mensajes: 687
Registrado: 17 May 2007 23:32
Modelo GPS: Vista HCX
Contactar:

jSIGPAC no funciona con Java 7

Mensaje por JOSE LUIS RODRIGUEZ » 07 Ago 2011 07:38

Al instalar la nueva versión Java 7, jSIGPAC no funciona.

He tenido que retornar a Java 6.26. Supongo que algún problema de incompatiblidad hay.

PacoH
Mensajes: 9
Registrado: 07 Oct 2010 20:31

Re: jSIGPAC no funciona con Java 7

Mensaje por PacoH » 24 Feb 2012 19:36

Jose Luis, prueba a ver esto que me pasó a mi.
Antes tenía el Java 6 y cuando pasé al Java(TM) 7 Update 1, dejó de funcionar jSigpac. Lo primero que piensas es que Java 7 tiene la culpa, pero me resistí a creerlo y haciendo pruebas, descubrí que si tienes otras aplicaciones abiertas como Internet Explorer, etc, jSigpac no funciona. Asi que hay que cerrarlo todo.
Supongo que será por el tema de la memoria reservada en CLASSPATH que la tengo al máximo que me funciona o sea -Xmx1582m.

Avatar de Usuario
JOSE LUIS RODRIGUEZ
Mensajes: 687
Registrado: 17 May 2007 23:32
Modelo GPS: Vista HCX
Contactar:

Re: jSIGPAC no funciona con Java 7

Mensaje por JOSE LUIS RODRIGUEZ » 24 Feb 2012 22:07

He probado nuevamente jSIGPAC con Java 7.3 y sin ningún otro programa abierto y sigue saliendo el mensaje del fichero gráfico adjunto. Tengo Windows Vista 32 bits.

Imagen

Vuelvo a Java 6.31, que funciona bien.

Por otra parte, las versiones "6" de Java se siguen actualizando a la vez que las versiones "7". Así, hace unos cuantos meses, estaba la versión 6.29 y hace unos días salió la 6.31. Por otra parte, hace unos cuantos meses estaba la versión 7.1 y ahora está la versión 7.3.

¿Qué sentido tiene actualizar las versiones "6" si existen las versiones "7" y no dieran problemas? Ninguno.

Así pues, me inclino a pensar que las versiones "7" dan problemas en algunos equipos (¿quizás sólo funcionan bien con Windows 7?) y por eso siguen actualizando las versiones "6". De otra forma sería absolutamente absurdo que siguieran saliendo actualizaciones para las versiones "6" y para las versiones "7" casi de forma simultánea.

PacoH
Mensajes: 9
Registrado: 07 Oct 2010 20:31

Re: jSIGPAC no funciona con Java 7

Mensaje por PacoH » 25 Feb 2012 11:27

Yo tengo Windows 7-64 bits.
He hecho algunas pruebas y estas son las conclusiones:
Tenia Java 7.1 ; Funcionaba jSigpac
Instalo Java 6 (que me da como recomendable y acepto) ; No funciona jSigpac
Instalo la última versión Java 7.3-64 bits ; No funciona jSigpac
Instalo Java 7.3-32 bits; Funciona jSigpac
Los resultados parecen lógicos si suponemos que jSigpac es un programa antiguo de 32 bits y yo el Java 7.1 que tenia era de 32 bits y la versión 6 que me recomendó Oracle era de 64 bits.
Con esto, creo, que puedo concluir que admitiria la última version pero siempre que sea de 32 bits.

Avatar de Usuario
JOSE LUIS RODRIGUEZ
Mensajes: 687
Registrado: 17 May 2007 23:32
Modelo GPS: Vista HCX
Contactar:

Re: jSIGPAC no funciona con Java 7

Mensaje por JOSE LUIS RODRIGUEZ » 25 Feb 2012 11:50

De todo lo comentado se infiere razonablemente que la versión "7.x" de Java sólo funciona bien con Windows 7 32 bits y que para Windows Vista o anteriores hay que utilizar Java "6.x", lo cual explica que sigan sacando actualizaciones para Java "6.x".

Todo ello referido al programa "jSIGPAC".

Responder